Subject: Re: powerpc32: fix warning from include/linux/mm.h

From: leroy christophe <[email-masked]>
Date: Tue, 07 Apr 2015 10:07:58 +0200

Le 21/03/2015 00:52, Scott Wood a écrit :
> On Fri, Dec 05, 2014 at 12:20:20PM +0100, LEROY Christophe wrote:
>> include/linux/mm.h: In function 'is_vmalloc_addr':
>> include/linux/mm.h:367:14: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
>>    return addr >= VMALLOC_START && addr < VMALLOC_END;
>>                ^
>>
>> Signed-off-by: Christophe Leroy <[email-masked]>
>> ---
>>   arch/powerpc/include/asm/pgtable-ppc32.h | 2 +-
>>   1 file changed, 1 insertion(+), 1 deletion(-)
> That warning doesn't appear to be enabled.  What config are you seeing
> this with?
I'm used to adding EXTRA_CFLAGS=-Wextra  when checking my own drivers, 
as it helps finding additional bugs.

When doing that, the only warnings I get outside of my own code are this 
one, and the other one in my proposed patch identified "powerpc32: fix 
warning from include/asm-generic/termios-base.h"

I though it would be worth fixing those two warnings in order to get a 
perfectly clean code.

Christophe